import {
  u as t,
  a as e,
  j as s,
  c as o,
  aC as a,
  o as n,
  m as r,
  h as f,
  az as d,
  b1 as l,
  aW as i,
  b2 as c,
  _ as p,
  p as u,
  f as x,
  t as m,
  v as g,
  A as b,
  B as v,
} from "./index-476be0bb.js";
import { a as h } from "./index-0a638fc2.js";
import "./index-97676c1f.js";
import "./use-route-126c4f06.js";
import "./use-placeholder-8391a3e3.js";
const k = {
    __name: "Turntable",
    emits: ["refresh"],
    setup(p, { emit: u }) {
      t();
      const { t: x } = e(),
        m = s(null),
        g = [
          {
            padding: "4rem",
            imgs: [
              { src: "/png/name-7736010d.png", width: "100%", height: "100%" },
            ],
          },
          { padding: "5px", background: "#fff" },
          { padding: "5px", background: "#BF6BEE" },
        ],
        b = s([]),
        v = o(() =>
          0 === b.value.length
            ? [
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#fff1d8",
                },
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#ffe0b7",
                },
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#fff1d8",
                },
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#ffe0b7",
                },
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#fff1d8",
                },
                {
                  fonts: [{ text: "--", top: "10%", fontColor: "#000" }],
                  background: "#ffe0b7",
                },
              ]
            : b.value.map((t, e) => ({
                fonts: [
                  {
                    text: t.amount,
                    top: "10%",
                    fontColor: "#000",
                    fontSize: "3.5rem",
                  },
                ],
                background: (e + 1) % 2 == 0 ? "#FFFFFF" : "#FFF1E2",
              }))
        );
      d({ forbidClick: !0, duration: 0 }),
        l().then((t) => {
          i(), (b.value = t.data);
        });
      const k = o(() => [
          {
            radius: "35%",
            imgs: [
              { src: "/png/name-333f0c74.png", width: "100%", top: "-118%" },
            ],
            pointer: !0,
            fonts: [
              { text: x("开始"), top: "-4px", fontSize: 13, fontColor: "#000" },
            ],
          },
        ]),
        $ = () => {
          d({ forbidClick: !0, duration: 0 }),
            c().then((t) => {
              i(),
                m.value.play(),
                setTimeout(() => {
                  const e = b.value.findIndex((e) => e.id == t.data);
                  m.value.stop(e);
                }, 3e3);
            });
        },
        C = (t) => {
          h({ message: x("恭喜获得：{0}", [t.fonts[0].text]) }).then(() => {
            u("refresh");
          });
        };
      return (t, e) => {
        const s = a("LuckyWheel");
        return (
          n(),
          r(
            s,
            {
              ref_key: "myLucky",
              ref: m,
              width: "80rem",
              height: "80rem",
              prizes: f(v),
              blocks: g,
              buttons: f(k),
              onStart: $,
              onEnd: C,
              class: "ml-10%",
            },
            null,
            8,
            ["prizes", "buttons"]
          )
        );
      };
    },
  },
  $ = { class: "relative pb-20 bg-#5B56E8" },
  C = { class: "py-20 text-center text-#fff text-32 font-500" },
  _ = { class: "text-center text-15" },
  F = { class: "bg-#fff p-3 px-5 rounded-5" },
  y = { class: "pt-15 mb-10 text-center text-#f1f1f1 text-14" },
  E = { class: "w-100% text-center" },
  j = { class: "bottom_a" },
  B = { class: "bottom_p" },
  w = ((t) => (b("data-v-3959e504"), (t = t()), v(), t))(() =>
    x("img", { src: "/png/name-4a24943e.png" }, null, -1)
  ),
  z = { class: "text-13 text-#fff" },
  I = { class: "px-14 mar" },
  S = { class: "bg-white p-14 mt-30 rounded-4" },
  T = { class: "mb-4 font-600" },
  L = { class: "pt-8 lh-20 text-14" },
  U = { class: "pt-8 lh-20 text-14" },
  W = { class: "pt-8 lh-20 text-14" },
  A = { class: "pt-8 lh-20 text-14" },
  Q = { class: "pt-8 lh-20 text-14" },
  R = { class: "pt-8 lh-20 text-14" },
  V = p(
    {
      __name: "index",
      setup(e) {
        const s = t(),
          o = () => {
            s.changeUserInfo();
          };
        return (t, e) => {
          const d = a("normal-layout");
          return (
            n(),
            r(
              d,
              { flex: "", "bg-color": "#5B56E8", "nav-bg-color": "#5B56E8" },
              {
                default: u(() => [
                  x("div", $, [
                    x("div", C, m(t.$t("现金大转盘")), 1),
                    x("div", _, [
                      x("span", F, m(t.$t("每次转动消耗10积分")), 1),
                    ]),
                    x(
                      "div",
                      y,
                      m(t.$t("可用余额")) +
                        "：" +
                        m(f(s).userInfo.money) +
                        " " +
                        m(t.$t("积分")),
                      1
                    ),
                    x("div", E, [
                      x("div", j, [g(k, { onRefresh: o })]),
                      x("div", B, [
                        w,
                        x("div", z, m(t.$t("积分可提现为现金")), 1),
                      ]),
                    ]),
                    x("div", I, [
                      x("div", S, [
                        x("div", T, m(t.$t("规则")) + "：", 1),
                        x("div", L, m(t.$t("1.运作原理：")), 1),
                        x(
                          "div",
                          U,
                          m(
                            t.$t(
                              "2.旋转轮盘：每次旋转都会为您的总分增加更多分数！"
                            )
                          ),
                          1
                        ),
                        x(
                          "div",
                          W,
                          m(t.$t("3.提高您的分数：每次旋转您的分数都会增加。")),
                          1
                        ),
                        x("div", A, m(t.$t("4.没有旋转了？")) + "。", 1),
                        x(
                          "div",
                          Q,
                          m(
                            t.$t(
                              "5.购买更多旋转：使用您的积分购买更多旋转并继续享受乐趣！"
                            )
                          ) + "。",
                          1
                        ),
                        x(
                          "div",
                          R,
                          m(t.$t("6.旋转、赚取并保持兴奋！")) + "。",
                          1
                        ),
                      ]),
                    ]),
                  ]),
                ]),
                _: 1,
              }
            )
          );
        };
      },
    },
    [["__scopeId", "data-v-3959e504"]]
  );
export { V as default };
